Create blog post
POST
/api/v1/content/blog-posts
const url = 'https://api.ultimateteam.ai/api/v1/content/blog-posts';const options = { method: 'POST', headers: {'X-API-Key': '<X-API-Key>', 'Content-Type': 'application/json'}, body: '{"category":"general","content":"","description":"","seo_keywords":["example"],"seo_meta_description":"","tags":["example"],"title":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.ultimateteam.ai/api/v1/content/blog-posts \ --header 'Content-Type: application/json' \ --header 'X-API-Key: <X-API-Key>' \ --data '{ "category": "general", "content": "", "description": "", "seo_keywords": [ "example" ], "seo_meta_description": "", "tags": [ "example" ], "title": "example" }'Create a new blog post draft.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
BlogPostCreate
Request body for creating a blog post.
object
category
Category
string
content
Content
string
description
Description
string
seo_keywords
Seo Keywords
Array<string>
seo_meta_description
Seo Meta Description
string
tags
Tags
Array<string>
title
required
Title
string
Responses
Section titled “ Responses ”Successful Response
Media typeapplication/json
BlogPostResponse
Response body for a single blog post.
object
ai_disclosure_included
Ai Disclosure Included
boolean
author
Author
string
category
required
Category
string
content
required
Content
string
created_at
required
Created At
string format: date-time
description
required
Description
string
id
required
Id
string
performance_metrics
Performance Metrics
object
key
additional properties
any
reading_time_minutes
Reading Time Minutes
integer
seo_keywords
Seo Keywords
Array
seo_meta_description
Seo Meta Description
string
slug
required
Slug
string
status
required
Status
string
tags
Tags
Array
tenant_id
required
Tenant Id
string
title
required
Title
string
updated_at
required
Updated At
string format: date-time
word_count
Word Count
integer
Example
{ "ai_disclosure_included": true, "author": "UltimateTeam CMO", "reading_time_minutes": 0, "seo_meta_description": "", "word_count": 0}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}